Package org.kie.internal.query

## Class QueryFilter

- java.lang.Object
- - org.kie.api.runtime.query.QueryContext
  - - org.kie.internal.query.QueryContext
    - - org.kie.internal.query.QueryFilter

- All Implemented Interfaces:
    `java.io.Serializable`

      public class QueryFilter
      extends QueryContext

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.kie.api.runtime.query.QueryContext

      `ascending, count, offset, orderBy`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryFilter()` |
    `QueryFilter​(int offset, int count)` |
    `QueryFilter​(int offset, int count, java.lang.String orderBy, boolean ascending)` |
    `QueryFilter​(int offset, int count, java.lang.String filterParams, java.lang.String language, java.lang.String orderBy)` |
    `QueryFilter​(java.lang.String filterParams, java.util.Map<java.lang.String,​java.lang.Object> params, java.lang.String orderBy, boolean isAscending)` |
    `QueryFilter​(java.lang.String filterParams, java.util.Map<java.lang.String,​java.lang.Object> params, java.lang.String orderBy, int offset, int count)` |
    `QueryFilter​(QueryFilter orig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFilterParams()` |
    `java.lang.String` | `getLanguage()` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getParams()` |
    `void` | `setFilterParams​(java.lang.String filterParams)` |
    `void` | `setLanguage​(java.lang.String language)` |
    `void` | `setParams​(java.util.Map<java.lang.String,​java.lang.Object> params)` |

    - ### Methods inherited from class org.kie.api.runtime.query.QueryContext

      `clear, getCount, getOffset, getOrderBy, isAscending, setAscending, setCount, setOffset, setOrderBy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryFilter

          public QueryFilter()

    - #### QueryFilter

          public QueryFilter​(QueryFilter orig)

    - #### QueryFilter

          public QueryFilter​(int offset,
                             int count)

    - #### QueryFilter

          public QueryFilter​(int offset,
                             int count,
                             java.lang.String orderBy,
                             boolean ascending)

    - #### QueryFilter

          public QueryFilter​(int offset,
                             int count,
                             java.lang.String filterParams,
                             java.lang.String language,
                             java.lang.String orderBy)

    - #### QueryFilter

          public QueryFilter​(java.lang.String filterParams,
                             java.util.Map<java.lang.String,​java.lang.Object> params,
                             java.lang.String orderBy,
                             boolean isAscending)

    - #### QueryFilter

          public QueryFilter​(java.lang.String filterParams,
                             java.util.Map<java.lang.String,​java.lang.Object> params,
                             java.lang.String orderBy,
                             int offset,
                             int count)

  - ### Method Detail

    - #### getLanguage

          public java.lang.String getLanguage()

    - #### setLanguage

          public void setLanguage​(java.lang.String language)

    - #### getFilterParams

          public java.lang.String getFilterParams()

    - #### setFilterParams

          public void setFilterParams​(java.lang.String filterParams)

    - #### getParams

          public java.util.Map<java.lang.String,​java.lang.Object> getParams()

    - #### setParams

          public void setParams​(java.util.Map<java.lang.String,​java.lang.Object> params)